/**
 * Copyright (c) 2014-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.impl.mbean;

import java.util.List;
import java.util.Map;

import org.ow2.petals.clientserverapi.jbi.messaging.registry.exception.RegistryException;

/**
 * A Mbean implementation for the topology service used as mock for unit test purposes
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class RegistryService implements RegistryServiceMBean {

    @Override
    public List<Map<String, Object>> getAllInternalEndpoints() throws RegistryException {
        return null;
    }

    @Override
    public List<Map<String, Object>> getAllExternalEndpoints() throws RegistryException {
        return null;
    }

    @Override
    public List<Map<String, Object>> getAllEndpoints() throws RegistryException {
        return null;
    }

    @Override
    public String getDescription(final String serviceName, final String endpointName) throws RegistryException {
        return null;
    }
}
